package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterRuralInvestment;
import com.lightinit.hsdatashow.entity.StWaterRuralInvestmentExample;
import com.lightinit.hsdatashow.model.topic.water.NameAndValue;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface StWaterRuralInvestmentMapper {
    long countByExample(StWaterRuralInvestmentExample example);

    int deleteByExample(StWaterRuralInvestmentExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterRuralInvestment record);

    int insertSelective(StWaterRuralInvestment record);

    List<StWaterRuralInvestment> selectByExample(StWaterRuralInvestmentExample example);

    StWaterRuralInvestment selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterRuralInvestment record, @Param("example") StWaterRuralInvestmentExample example);

    int updateByExample(@Param("record") StWaterRuralInvestment record, @Param("example") StWaterRuralInvestmentExample example);

    int updateByPrimaryKeySelective(StWaterRuralInvestment record);

    int updateByPrimaryKey(StWaterRuralInvestment record);

    BigDecimal getTouziZongshu();

    List<NameAndValue> getTouziGoucheng();

    List<NameAndValue> getTouziQuxian(@Param("type") String type);
}